<!-- adList 轮播图 -->
<template>
  <div class="adList">
    <van-swipe class="imgBox"  :loop="true" :autoplay="5000" indicator-color="white">
      <van-swipe-item @click="headleClick(item)" v-for="(item ,index ) in home.mainInfo.ad" :key="index">
          <img class="imgBox" :src="item.img" />
      </van-swipe-item>
    </van-swipe>
  </div>
</template>

<script>
export default {
  name: 'adList',
  inject: ['home'],
  data() {
    return {
    }
  },

  methods: {
    //初始化方法
    init() { },
      headleClick(row){
      if(!row.url){
        return
      }else{
         this.openUrl(row.url)
      }
    }
  },
}

</script>
<style lang='scss' scoped>
.imgBox{
    width: 100%;
    height: 2.6rem;
    border-radius: 0.14rem;
    overflow: hidden;
    object-fit: cover;  
}
.adList{
  padding-left: 0.3rem;
  padding-right: 0.3rem;


}
</style>